Bug 84933 - (permedia2) Driver won't start up
(permedia2) Driver won't start up
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-23 20:58 EST by duane steckel
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-15 19:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description duane steckel 2003-02-23 20:58:29 EST
Description of problem:talkback  file"/usr/bin/anaconda", line 694, in ? 
intf.run (id,dispatch,configfile data) file "usr/lib/anaconda/text.py",        
       line425, in run  rc=apply (win,(self.screen,)# args file 
"usr/lib/anaconda/textw/upgrade_bootloader-text.py.",line 113, 
in--call--self.bl.set device (self.boot dev)     file 
"/usr/lib/booty/bootloaderinfo.py", line 206, in set device  (dev,part)=get 
disk part (device)  file"usr/lib/booty/botloaderinfo.py",line 1231, inget disk 
part cut=len(dev) type error:len() of unsized object

redhat 8.0 on amd 300 with  nec multisync 3fgx monitor  After installing from 
disks , and i boot up to the graphical loader for kde or gnome ,the bug will 
not allow the screen to come up . it will not go into kde or gnome. with 
ctrl,alt and f2  i can get it to root,localhost.localdomain but no farther. 
Version-Release number of selected component (if applicable):
the screen will not boot

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
the screen will not boot into kde or gnome
Comment 1 Michael Fulbright 2003-02-24 11:38:19 EST
I'm not sure I understand - when did you get the traceback you gave above?
It may or may not be related to the problems with gnome/kde.
Comment 2 duane steckel 2003-02-24 12:25:34 EST
I reinstalled red 8.0 with just the xserver installation.  After login in with
root and password, I typed startx.  the message came up (==) using config
file:"/etc/x11/xf86config                Fatal server error:  add
screen/screenInit failed for driver 0                 XIO: fatal IO error 104
Comment 3 duane steckel 2003-02-24 20:59:21 EST
I found what the problem is.  X customization screen on the installation -
colors and screen resolutions.  With redhat v7.2 it works good with 16 bit color
and 800x600 resolution.  with v 8.0  only 320x? resolution comes up and only 256
colors works.16 bit colors nothing comes up. If i click on 800 x 600 or
1024x760still only 320 resolution shows.  The picture is always too big for the
screen.
Comment 4 duane steckel 2003-02-24 23:28:30 EST
Upon further reasearch my bug is similar to bug 18733 and is also called out in
the release notes for redhat 8.0.Xfree86 3.3.6 is no longer supported and is
replaced by xfree86.4. How can the driver that is in the 3.3.6 version be
transfer to  redhat 8.0 installation?   Is it possible at the localhost.root
prompt to reconfigure the installation with redhat-config-xfree86 --reconfig or
to do it with some other method.
Comment 5 Michael Fulbright 2003-02-27 16:10:59 EST
This appears to be a XFree86 issue.
Comment 6 duane steckel 2003-02-27 18:06:29 EST
I have a rendition 2100 video card.  My settings are 800x600  with 16bit   colors. After the command "startx" is given at root the computer says "DDC" probe bogus values.  The screen goes blank.  Xfree86.org says that "NoDDC" should be the setting instead of "DDC". Xfree86.org says to change it with the utility XF86Config in /etc/X11. When the utility is run in root, the answer comes back permission denied.  Redhat says that we are to use their utility redhat-config-xfree86. When that is run it goes to a vesa driver with 320x200 resolution and it is impossible to correct the "DDC" setting. The picture is way too big for the screen. How do I work around those limitations?
Comment 7 Mike A. Harris 2003-02-28 04:55:02 EST
>How can the driver that is in the 3.3.6 version be
>transfer to  redhat 8.0 installation?

It can't.  We do not support that, and bugzilla is not a technical support
forum, so I wont offer any help trying to do so in bugzilla either.

When a user has a bug to report, we want to fix it, and to do so using software
that comes with our distribution, not recommend people use old stuff we no
longer ship.

Comment 8 Mike A. Harris 2003-02-28 04:56:37 EST
Also, please hit enter at the end of a line after about 60 characters in
bugzilla comments, your last comment is unreadable.


You have not mentioned what video card you have, and I need that information
prior to looking into this problem further.  Please attach your X server
config file and log file to the bug report and I'll try to diagnose the
problem.

Thanks.
Comment 9 duane steckel 2003-02-28 09:49:56 EST
I would like to restate what has happened and try
to bring some clarity. I'm installing redhat 8.0
with a rendition 2100 chip set.With 800x600 and 16
bit graphics at the root prompt, after typing startx
the screen says"DDC"probe bogus results and the 
screen goes blank.     AT xfree86.org under SUPPORT
DOC RESOURCES, XFREE86.4.20 ,INFORMATION FOR 
RENDITION(VERITE)USERS ,XF86CONFIG OPTION,  scroll
to OPTION"NODDC" . It states "disable probing of DDC-
information from your monitor. This information is 
not used yet and is only there for informational 
purposes.  Safe to disable if you experience problems
during startup of x-server."    It states that 
the monitor can hang and that is what mine does.
 To correct the situation I need to input "NoDDC"
at the options button .
    XFree86Config is the utiliy that needs to be run
to get to the options button.  At the root promtp
when typing XFree86Conf , the answer given is 
"permission denied"  RedHat has their command 
 to be used to address that utility and it is
"redhat-config-xfree86config". When typing this
command at the prompt, a generic driver drives the 
utility with 320X200 graphics which makes it too
big for the screen and as a result the problem can
not be run.  I can only see part of the screen.
  In the release notes of redhat 8.0 .  It states 
"If there is no native driver in 4.x for a particular
video or if the native driver does not work 
properly,  the "vesa" driver will be used by 
default.... which provides minimal 2d video support."
And that is what happens ,but the graphics are too big 
so that the screen can not be used to go to the options
button.  Therefore I can not get to "NoDDC"
   I hope this is clearer.
Comment 10 duane steckel 2003-02-28 10:09:00 EST
I can get into gnome with the vesa driver with 256 colors
but the graphics are way too big.  16 bit colors are no supported
and the graphics only go to 320x200.
Comment 11 Mike A. Harris 2003-02-28 10:24:53 EST
If a card doesn't work with the native driver at all, then we point it to
the vesa driver.  It should be noted however that any card that we default
to the vesa driver is officially unsupported.  We only point it to the vesa
driver in hopes that it works for someone, and preferably has been confirmed
to work for someone.  The vesa driver uses the video card's BIOS for all
video handling, so if it is buggy, it is the BIOS that is buggy and we can't
do anything about a buggy BIOS.

Without you attaching your X config file and log file, there is nothing that
I can do.  I do not have this video hardware available for testing/debugging
nor do I have documentation for any permedia chipsets.  It is critical
information for me to have your log and config from the native driver (not
the vesa driver).  Please attach them below.
Comment 12 duane steckel 2003-03-15 13:56:36 EST
I had no way to send the logs. 
I put a different video card in   
and everything works.  The Matrox Millenium 
works, the diamond stealth II doesn't. 
 
Comment 13 Mike A. Harris 2003-03-15 19:17:33 EST
Without the logs, I have no way to know what the specific ID of this one
chip is, and so I can not remap the chip to a different video driver
in our hardware database.

If you are still interested in having this driver mapping fixed, please
put the permedia card back in, and attach the output of "lspci" and
"lspci -vvn" to the bug report, and I'll change the driver mapping.

Without that info though, there is nothing I can do.  We do not have this
video card.

I'm closing this as WONTFIX, however if you attach the lspci output and
reopen the bug, I'll see to it that the hardware database is updated.

Note You need to log in before you can comment on or make changes to this bug.